import { getCollectionPosts } from '$lib/api/collections';
import { must } from '$lib/errors';
import type { PageLoad } from './$types';

export const load = (async ({ parent }) => {
	const { site } = await parent();

	return {
		pages: await must(getCollectionPosts(site.name, site.default_collection))
	};
}) satisfies PageLoad;
