import type { QuerySerializable } from './request';

export interface PaginatedWithCursor<T, C> {
	items: T[];
	next_cursor: C | null;
}

export interface TimePaginationQuery extends QuerySerializable {
	limit: number;
	before: Date | null;
}
