import { callJSON } from './request';

export interface Post {
	id: string;
	site: string;
	author: string;
	author_display_name: string;
	slug: string;
	title: string;
	description: string | null;
	tags: string[];
	blocks: [];
	created_at: string;
	modified_at: string | null;
	deleted_at: string | null;
}

export const getPost = async (site: string, slug: string) =>
	callJSON<Post>('GET', `posts/${site}/${slug}`);
