export function parseBool(str: string, defaultValue: boolean = false): boolean {
	switch (str.toLowerCase().trim()) {
		case 'true':
		case 'yes':
		case 'on':
		case '1':
			return true;
		case 'false':
		case 'no':
		case 'off':
		case '0':
			return false;
		default:
			return defaultValue;
	}
}
