import { PUBLIC_DOMAIN } from '$env/static/public';

export function getSiteName(origin: string) {
	return origin.substring(0, origin.indexOf(PUBLIC_DOMAIN)).replaceAll('.', '');
}

export function getLoginURL(base: URL) {
	const copy = new URL(base);
	copy.hostname = PUBLIC_DOMAIN;
	copy.pathname = '/login';
	return copy.toString();
}
