import { redirect } from '@sveltejs/kit';
import type { LayoutServerLoad } from './$types';
import { isLoggedIn } from '$lib/api/auth';

export const load = (async ({ cookies }) => {
	if (!(await isLoggedIn(cookies))) {
		throw redirect(302, '/login');
	}
}) satisfies LayoutServerLoad;
