import { getSitesForCurrentUser } from '$lib/api/sites';
import { must } from '$lib/errors';
import type { PageServerLoad } from '../login/$types';

export const load = (async ({ cookies }) => {
	const sites = await must(getSitesForCurrentUser(cookies));

	return {
		sites
	};
}) satisfies PageServerLoad;
