import type { LayoutLoad } from './$types';
import { must } from '$lib/errors';
import { getSiteInfo } from '$lib/api/sites';

export const load = (async ({ params, url }) => {
	const siteInfo = await must(getSiteInfo(params.site));

	return {
		siteInfo,
		base: url.pathname
	};
}) satisfies LayoutLoad;
