import type { PageLoad } from './$types';
import { getPost } from '$lib/api/posts';
import { must } from '$lib/errors';

export const load = (async ({ params, parent }) => {
	const { site } = await parent();

	return {
		page: await must(getPost(site.name, params.slug))
	};
}) satisfies PageLoad;
